/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: XercesLinkedDocument.java,v 1.3 2006-07-30 20:05:35 jkjome Exp $
 */

package org.enhydra.xml.xmlc.dom.xerces;

import org.enhydra.apache.xerces.dom.DocumentImpl;
import org.enhydra.xml.xmlc.XMLObject;
import org.enhydra.xml.xmlc.XMLObjectLink;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Node;

/**
 * Class that adds XMLObjectLink support to the Xerces Document.
 */
public class XercesLinkedDocument extends DocumentImpl
                                  implements XMLObjectLink {

    /** Reference to XMLObject containing this Document. */
    private XMLObject fXmlObjectLink;

    public XercesLinkedDocument() {
        super();
    }

    /** 
     * Constructor.
     */
    public XercesLinkedDocument(DocumentType docType) {
        super(docType);
    }

    /**
     * @see XMLObjectLink#setXMLObject
     */
    public void setXMLObject(XMLObject xmlObject) {
        fXmlObjectLink = xmlObject;
    }

    /**
     * @see XMLObjectLink#getXMLObject
     */
    public XMLObject getXMLObject() {
        return fXmlObjectLink;
    }

    public Node cloneNode(boolean deep) {

        XercesLinkedDocument newdoc = new XercesLinkedDocument();
        //FIXME - support UserDataHandler after making move to Xerces2
        //        Get Xerces developers to make method protected instead of
        //        package private
        //callUserDataHandlers(this, newdoc, UserDataHandler.NODE_CLONED);
        cloneNode(newdoc, deep);

        // experimental
        newdoc.mutationEvents = mutationEvents;

        return newdoc;

    }

}

